Skip to content

Insight ​

40 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
exportRogueApsGlobalPOSTExport global Rogue AP scan results
exportFullChannelDetectResultGETExport interference detection results
exportBatchFullChannelDetectResultData_1GETExport batch interference detection results
triggerFullChannelDetectPOSTEnable interference detection
getChannelLoadResultGETGet channel utilization results of interference detection
getInterfResultGETGet Interference result
getFullChannelDetectStatusGETGet the interference detection status of APs
getGridWifiInterfResultGETGet WiFi interference results of interference detection
triggerSpectralScanPOSTEnable environment scanning
stopSpectralScanPOSTStop environment scanning
scanRogueApsPOSTScan Rogue APs
terminateVpnTunnelPOSTTerminating vpn tunnel
deleteALLBatchFullChannelDetectHistoryDELETEDelete all interference detection history
startBatchFullChannelDetectPOSTEnable batch interference detection
deleteBatchFullChannelDetectHistoryDELETEDelete the interference detection history
getBatchFullChannelDetectApListGETGet the AP list of batch interference detection
getBatchChannelLoadsResultGETGet channel utilization results of batch interference detection
getBatchInterferencesResultGETGet Batch Interferences Result
getBatchWifiInterferencesResultGETGet WiFi interference results of batch interference detection
getDisableFullChannelDetectApMacListGETGet the MAC list of APs that cannot perform interference detection
getGridFullChannelDetectHistoryGETGet the interference detection history by page
getBatchFullChannelDetectStatusPOSTGet the interference detection status
getGridEnableFullChannelDetectApListGETGet the list of devices that can perform interference detection by page
getPortForwardStatusGETGet Port Forwarding Status
getGridRogueApsGETQuery the Rogue AP scan results
getGridRoutingGETGet the routing table data interface
getGridWidsDataGETQuery the Wireless IDS entry list
getGridWipsBlackListGETGet the dynamic blacklist entry data of Wireless IDS
removeWipsBlackListPUTRemove the specified Device MAC from the blacklist of the reported device
getGridVpnClientStatusGETGet VPN Client status list
getGridVpnIpSecGETQuery the vpnStats ipsec list
getGridVpnS2SStatusGETGet VPN Site-to-Site status list
getGridVpnS2SPeersStatusGETGet VPN Site-to-Site's peers status list
getGridVpnServerStatusGETGet VPN Server status list
getGridVpnServerClientsStatusGETGet VPN Server's clients status list
getGridVpnTunnelGETQuery the vpnStats tunnel list
getSpectralScanResultGETGet current results of environment scanning
getSpectralScanHistoryResultGETGet history results of environment scanning
getGridStackRoutingTableGETGet stack routing table
getGridOswRoutingTableGETGet switch routing table

exportRogueApsGlobal ​

POST /openapi/v1/{omadacId}/files/neighbors

Export global Rogue AP scan results

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema Required Parameters for Exporting Rogue AP Scan Results

FieldTypeRequiredDescription
siteIdsarray<string>noParameter [siteIds] indicates site IDs that need to export rogue AP scan results.
formatintegernoParameter [format] indicates the type of the exported file. 0: CSV, 1: xlsx.
json
// omada_call_operation
{
  "operationId": "exportRogueApsGlobal",
  "body": "{...}"
}
Details, permissions and error codes

Export global Rogue AP scan results
The interface requires one of the permissions:
Global Export Data Access
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

exportFullChannelDetectResult ​

GET /openapi/v1/{omadacId}/files/sites/{siteId}/aps/{apMac}/full-channel-detect/export

Export interference detection results

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
formatqueryintegeryesexport data format
json
// omada_call_operation
{
  "operationId": "exportFullChannelDetectResult",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>",
    "format": "<format>"
  }
}
Details, permissions and error codes

Export interference detection results
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

exportBatchFullChannelDetectResultData_1 ​

GET /openapi/v1/{omadacId}/files/sites/{siteId}/full-channel-detect/{historyId}

Export batch interference detection results

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
historyIdpathstringyesCustomer ID
formatqueryintegeryesexport data format
json
// omada_call_operation
{
  "operationId": "exportBatchFullChannelDetectResultData_1",
  "params": {
    "siteId": "<siteId>",
    "historyId": "<historyId>",
    "format": "<format>"
  }
}
Details, permissions and error codes

Export batch interference detection results
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

triggerFullChannelDetect ​

POST /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/full-channel-detect-start

Enable interference detection

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema FullChanScanCommandOpenApiVO

FieldTypeRequiredDescription
enableInterferencebooleannoWhether to detect interference when full channel scan.
enableWifiInterferencebooleannoWhether to enable wifi interference detect.
enableChannelUtilbooleannoWhether to enable channel load detect.
json
// omada_call_operation
{
  "operationId": "triggerFullChannelDetect",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Enable interference detection
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
-44405 - The configuration has been overridden.

getChannelLoadResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/full-channel-detect/channel-load

Get channel utilization results of interference detection

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getChannelLoadResult",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get channel utilization results of interference detection
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getInterfResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/full-channel-detect/grid/interference

Get Interference result

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getInterfResult",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get Interference result
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getFullChannelDetectStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/full-channel-detect/status

Get the interference detection status of APs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getFullChannelDetectStatus",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get Full Channel Detect Status
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getGridWifiInterfResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/full-channel-detect/wlan-interference

** Get WiFi interference results of interference detection**

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridWifiInterfResult",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get WiFi interference results of interference detection
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

triggerSpectralScan ​

POST /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/spectral-scan-start

Enable environment scanning

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "triggerSpectralScan",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Enable environment scanning
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
-44405 - The configuration has been overridden.

stopSpectralScan ​

POST /openapi/v1/{omadacId}/sites/{siteId}/aps/{apMac}/spectral-scan-stop

Stop environment scanning

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "stopSpectralScan",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Stop environment scanning
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.
-44405 - The configuration has been overridden.

scanRogueAps ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/rogueaps/scan

Scan Rogue APs

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "scanRogueAps",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Scan Rogue APs
The interface requires one of the permissions:
Site Insight Manager Modify
Site Tools Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

terminateVpnTunnel ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/vpn/stats/tunnel/terminate

Terminating vpn tunnel

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema OsgVpnTunnelOpenApiVO

FieldTypeRequiredDescription
vpnIdintegernoVPN Item Id.
vpnNamestringnoVPN Item Name.
userIdintegernoUser Id.
userNamestringnoPeer Username.
interfaceNamestringnoInterface Name.
serverTypeintegernoClient-To-Site VPN Type First-level cascade selection 0:VPN Server 1:VPN Client.
vpnTypeintegernoClient-To-Site VPN Type Second-level cascade selection 0:L2TP 1: PPTP 2: IPSec 3: OpenVPN.
clientModestringnoClient Mode: Client or NEM(Network Extension Mode).
localIpstringnoThe local Server IP of the tunnel.
remoteIpstringnoThe IP address of the peer VPN User.
downPktsintegernoNumber of packets in the downlink.
downBytesintegernoDownlink traffic in bytes.
upPktsintegernoThe amount of uplink packets.
upBytesintegernoUplink traffic in bytes.
uptimestringnoVPN tunnel effective time, it starts from the connection calculation, accurate to the minute.
dnsstringnoDNS for the peer VPN.
json
// omada_call_operation
{
  "operationId": "terminateVpnTunnel",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Terminating vpn tunnel
The interface requires one of the permissions:
Site Insight Manager View Only
Device Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

deleteALLBatchFullChannelDetectHistory ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect

Delete all interference detection history

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "deleteALLBatchFullChannelDetectHistory",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Delete all interference detection history
The interface requires one of the permissions:
Site Tools Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

startBatchFullChannelDetect ​

POST /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect-start

Enable batch interference detection

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema StartBatchFullChannelDetectCmdOpenApiVO

FieldTypeRequiredDescription
macListarray<string>noSelect the Aps to full channel detect;.
enableInterferencebooleannoWhether to enable non-interference detect.
enableWifiInterferencebooleannoWhether to enable wifi interference detect.
enableChannelUtilbooleannoWhether to enable channel load detect.
selectTypestringyesSelect type of macs. include: include selected aps, exclude: all but exclude selected aps, all: include all aps(Parameter [macList] need input '[]').
json
// omada_call_operation
{
  "operationId": "startBatchFullChannelDetect",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Enable batch interference detection
The interface requires one of the permissions:
Site Tools Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

deleteBatchFullChannelDetectHistory ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/{historyId}

Delete the interference detection history

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
historyIdpathstringyesThe ID List of full channel detect
json
// omada_call_operation
{
  "operationId": "deleteBatchFullChannelDetectHistory",
  "params": {
    "siteId": "<siteId>",
    "historyId": "<historyId>"
  }
}
Details, permissions and error codes

Delete the interference detection history
The interface requires one of the permissions:
Site Tools Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getBatchFullChannelDetectApList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/{historyId}/ap-list

Get the AP list of batch interference detection

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
historyIdpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getBatchFullChannelDetectApList",
  "params": {
    "siteId": "<siteId>",
    "historyId": "<historyId>"
  }
}
Details, permissions and error codes

Get the AP list of batch interference detection
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getBatchChannelLoadsResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/{historyId}/channel-load

Get channel utilization results of batch interference detection

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
historyIdpathstringyesCustomer ID
macquerystringyesMac Address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getBatchChannelLoadsResult",
  "params": {
    "siteId": "<siteId>",
    "historyId": "<historyId>",
    "mac": "<mac>"
  }
}
Details, permissions and error codes

Get channel utilization results of batch interference detection
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getBatchInterferencesResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/{historyId}/grid/interference

Get Batch Interferences Result

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
historyIdpathstringyesCustomer ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getBatchInterferencesResult",
  "params": {
    "siteId": "<siteId>",
    "historyId": "<historyId>"
  }
}
Details, permissions and error codes

Get Batch Interferences Result
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getBatchWifiInterferencesResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/{historyId}/grid/wifi-interference

Get WiFi interference results of batch interference detection

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
historyIdpathstringyesCustomer ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
filters.typequerystringyesFilter query parameters, support field wifi-interference result type. 0: all device; 1: one device.
filters.radioIdquerystringnoFilter query parameters, support field radio id. 0: 2.4G; 1: 5G; 3:6G.
filters.macquerystringnoFilter query parameters, support field AP MAC address, like AA-BB-CC-DD-EE-FF. When parameter [filter.type] is 0, this parameter is invalid.
json
// omada_call_operation
{
  "operationId": "getBatchWifiInterferencesResult",
  "params": {
    "siteId": "<siteId>",
    "historyId": "<historyId>",
    "filters.type": "<filters.type>"
  }
}
Details, permissions and error codes

Get WiFi interference results of batch interference detection
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getDisableFullChannelDetectApMacList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/batch/info

Get the MAC list of APs that cannot perform interference detection

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getDisableFullChannelDetectApMacList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the MAC list of APs that cannot perform interference detection
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-39377 - Failed to obtain the list of APs that support interference detection.

getGridFullChannelDetectHistory ​

GET /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/grid/scan-history

Get the interference detection history by page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridFullChannelDetectHistory",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the interference detection history by page
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getBatchFullChannelDetectStatus ​

POST /openapi/v1/{omadacId}/sites/{siteId}/full-channel-detect/status

Get the interference detection status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema QueryBatchFullChannelDetectStatusVO

FieldTypeRequiredDescription
idListarray<string>no
json
// omada_call_operation
{
  "operationId": "getBatchFullChannelDetectStatus",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get the interference detection status
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getGridEnableFullChannelDetectApList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/grid/full-channel-detect/ap-list

Get the list of devices that can perform interference detection by page

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridEnableFullChannelDetectApList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the list of devices that can perform interference detection by page
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getPortForwardStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/insight/port-forwarding/{type}

Get Port Forwarding Status

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
typepathstringyesUser/UPnP
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getPortForwardStatus",
  "params": {
    "siteId": "<siteId>",
    "type": "<type>"
  }
}
Details, permissions and error codes

Get Port Forwarding Status
The interface requires one of the permissions:
Site Insight Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getGridRogueAps ​

GET /openapi/v1/{omadacId}/sites/{siteId}/insight/rogueaps

Query the Rogue AP scan results

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridRogueAps",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Query the Rogue AP scan results
The interface requires one of the permissions:
Site Insight Manager View Only
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getGridRouting ​

GET /openapi/v1/{omadacId}/sites/{siteId}/insight/routing/{type}

Get the routing table data interface

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
typepathstringyesDevice type, the type should be gateway, switch.
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridRouting",
  "params": {
    "siteId": "<siteId>",
    "type": "<type>"
  }
}
Details, permissions and error codes

Get the routing table data interface
The interface requires one of the permissions:
Site Insight Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getGridWidsData ​

GET /openapi/v1/{omadacId}/sites/{siteId}/insight/wids

Query the Wireless IDS entry list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridWidsData",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Query the Wireless IDS entry list
The interface requires one of the permissions:
Site Insight Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getGridWipsBlackList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/insight/wids/blacklist

Get the dynamic blacklist entry data of Wireless IDS

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridWipsBlackList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the dynamic blacklist entry data of Wireless IDS
The interface requires one of the permissions:
Site Insight Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

removeWipsBlackList ​

PUT /openapi/v1/{omadacId}/sites/{siteId}/insight/wids/blacklist/{mac}

Remove the specified Device MAC from the blacklist of the reported device

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
macpathstringyesMac Address

Request body — application/json (required) — schema RemoveBlackListOpenApiVO

FieldTypeRequiredDescription
stationMacstringnoMAC address of the device.
json
// omada_call_operation
{
  "operationId": "removeWipsBlackList",
  "params": {
    "siteId": "<siteId>",
    "mac": "<mac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Remove the specified Device MAC from the blacklist of the reported device
The interface requires one of the permissions:
Site Insight Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getGridVpnClientStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/client

Get VPN Client status list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
filters.vpnTypequerystringyesFilter query parameters, support field vpnType. 0: L2TP; 1: PPTP; 3: OpenVPN; 4: WireGuard.
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridVpnClientStatus",
  "params": {
    "siteId": "<siteId>",
    "filters.vpnType": "<filters.vpnType>"
  }
}
Details, permissions and error codes

Get VPN Client status list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getGridVpnIpSec ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/ipsec

Query the vpnStats ipsec list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridVpnIpSec",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Query the vpnStats ipsec list
The interface requires one of the permissions:
Site Insight Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getGridVpnS2SStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/s2s

Get VPN Site-to-Site status list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
filters.vpnTypequerystringyesFilter query parameters, support field vpnType. 2: IPSec; 4: WireGuard.
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridVpnS2SStatus",
  "params": {
    "siteId": "<siteId>",
    "filters.vpnType": "<filters.vpnType>"
  }
}
Details, permissions and error codes

Get VPN Site-to-Site status list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getGridVpnS2SPeersStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/s2s/{vpnId}/peer

Get VPN Site-to-Site's peers status list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
vpnIdpathstringyesVPN ID
filters.statusquerystringnoFilter query parameters, support field status. 0: disconnected; 1: connected.
searchKeyquerystringnosearchKey
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridVpnS2SPeersStatus",
  "params": {
    "siteId": "<siteId>",
    "vpnId": "<vpnId>"
  }
}
Details, permissions and error codes

Get VPN Site-to-Site's peers status list by VPN ID.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getGridVpnServerStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/server

Get VPN Server status list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
filters.vpnTypequerystringyesFilter query parameters, support field vpnType. 0: L2TP; 1: PPTP; 2: IPSec; 3: OpenVPN; 4: WireGuard; 5: SSL VPN.
filters.clientModequerystringnoFilter query parameters, support field Client mode for VPN user. 0: NEM(Network Extension Mode) ; 1: Client.
sorts.activeClientsquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
sorts.clientsquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridVpnServerStatus",
  "params": {
    "siteId": "<siteId>",
    "filters.vpnType": "<filters.vpnType>"
  }
}
Details, permissions and error codes

Get VPN Server status list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getGridVpnServerClientsStatus ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/server/{vpnId}/client

Get VPN Server's clients status list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
vpnIdpathstringyesVPN ID
filters.statusquerystringnoFilter query parameters, support field status. 0: disconnected; 1: connected.
searchKeyquerystringnosearchKey
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridVpnServerClientsStatus",
  "params": {
    "siteId": "<siteId>",
    "vpnId": "<vpnId>"
  }
}
Details, permissions and error codes

Get VPN Server's clients status list by VPN ID.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only

getGridVpnTunnel ​

GET /openapi/v1/{omadacId}/sites/{siteId}/setting/vpn/stats/tunnel

Query the vpnStats tunnel list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridVpnTunnel",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Query the vpnStats tunnel list
The interface requires one of the permissions:
Site Insight Manager View Only
Site Device Manager View Only
Device Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getSpectralScanResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/spectral-scan/aps/{apMac}/spectral-scan-result

Get current results of environment scanning

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
timesqueryintegeryesThe time between the requested spectral scan results.
json
// omada_call_operation
{
  "operationId": "getSpectralScanResult",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>",
    "times": "<times>"
  }
}
Details, permissions and error codes

Get current results of environment scanning. The results of the environment scan are compressed by the Deflate algorithm and then base64 encoded.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getSpectralScanHistoryResult ​

GET /openapi/v1/{omadacId}/sites/{siteId}/spectral-scan/aps/{apMac}/spectral-scan-result/history

Get history results of environment scanning

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getSpectralScanHistoryResult",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>"
  }
}
Details, permissions and error codes

Get history results of environment scanning. The results of the environment scan are compressed by the Deflate algorithm and then base64 encoded.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.
-39303 - AP does not exist.

getGridStackRoutingTable ​

GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/routingTable

Get stack routing table

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
stackIdpathstringyesStack ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.destinationIpquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.typequerystringnoFilter query parameters, support field type
searchKeyquerystringnoFuzzy query parameters, support field destinationIp
json
// omada_call_operation
{
  "operationId": "getGridStackRoutingTable",
  "params": {
    "siteId": "<siteId>",
    "stackId": "<stackId>"
  }
}
Details, permissions and error codes

Get stack routing table.
The interface requires one of the permissions:
Site Device Manager View Only

getGridOswRoutingTable ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/routingTable

Get switch routing table

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
sorts.destinationIpquerystringnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect
filters.typequerystringnoFilter query parameters, support field type
searchKeyquerystringnoFuzzy query parameters, support field destinationIp
json
// omada_call_operation
{
  "operationId": "getGridOswRoutingTable",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>"
  }
}
Details, permissions and error codes

Get switch routing table.
The interface requires one of the permissions:
Site Device Manager View Only

Released under the MIT License. Not affiliated with or endorsed by TP-Link.